#!/bin/sh

# This script requires "avrdude" to be installed on your MacOS.
# you can install it using e.g Homebrew from here
# https://formulae.brew.sh/formula/avrdude

echo --- Starting... ---

echo --- Listing devices
ls -l /dev/cu.*

# set here the name of your port, e.g. $PORT_NAME="/dev/cu.usbmodem11401"
# you can find it e.g. by running the following command
# ls -l /dev/cu.*

PORT_NAME="/dev/cu.usbmodem112301"
HEX_FILENAME="quadruple_v3.22.ino.hex"


echo --- PORT_NAME to be used: $PORT_NAME
echo --- HEX_FILENAME to be used: $HEX_FILENAME

echo --- Running: stty -f $PORT_NAME 1200
stty -f $PORT_NAME 1200


echo --- Running: sleep 2

sleep 2


echo --- Running: avrdude -p m32u4 -P $PORT_NAME -c avr109 -U flash:w:$HEX_FILENAME

avrdude -p m32u4 -P $PORT_NAME -c avr109 -U flash:w:$HEX_FILENAME

echo --- Exiting... ---
